<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>{{ nameApp }} - login</title>

    <!-- Bootstrap Core CSS -->
    <link href="{{dirDefault}}/ext_assets/startbootstrap-sb-admin-2-1.0.7/bower_components/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet" type="text/css">
    <!-- MetisMenu CSS -->
    <link href="{{dirDefault}}/ext_assets/startbootstrap-sb-admin-2-1.0.7/bower_components/metisMenu/dist/metisMenu.min.css" rel="stylesheet" type="text/css">
    <!-- Custom CSS -->
    <link href="{{dirDefault}}/ext_assets/startbootstrap-sb-admin-2-1.0.7/dist/css/sb-admin-2.css" rel="stylesheet" type="text/css">
    <!-- Custom Fonts -->
    <link href="{{dirDefault}}/ext_assets/startbootstrap-sb-admin-2-1.0.7/bower_components/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->

</head>

<body>

    <div class="container">
        <div class="row">
            <div class="col-md-4 col-md-offset-4">
                <div class="login-panel panel panel-default">
                    <div class="panel-heading">
                        <h3 class="panel-title">Accesso a {{ nameApp }} {{ version }}</h3>
                            <div class="panel-body">
                                <form name="login_form" id="login_form" role="form" action="checklogin" method="POST">
                                    <fieldset>
                                        <div class="form-group">
                                            <input class="form-control" placeholder="Username" name="user" type="user" autofocus>
                                        </div>
                                        <div class="form-group">
                                            <input class="form-control" placeholder="Password" name="password" type="password" value="">
                                        </div>
                                        <button type="submit" class="btn btn-lg btn-info btn-block"><i class="fa fa-spinner fa-spin fa-fw" style="display: none;"></i> Accedi</button>
                                    </fieldset>
                                </form>
                            </div>
                    </div>
                </div>
            </div>
            <div id="alert-error-container" class="row" style="display: none">
                <div class="col-lg-4 col-lg-offset-4 col-md-4 col-md-offset-4 col-xs-4 col-xs-offset-4">

                </div>
            </div>
        </div>
    </div>

    <!-- jQuery -->
    <script src="{{dirDefault}}/ext_assets/startbootstrap-sb-admin-2-1.0.7/bower_components/jquery/dist/jquery.min.js"></script>

    <!-- Bootstrap Core JavaScript -->
    <script src="{{dirDefault}}/ext_assets/startbootstrap-sb-admin-2-1.0.7/bower_components/bootstrap/dist/js/bootstrap.min.js"></script>

    <!-- Metis Menu Plugin JavaScript -->
    <script src="{{dirDefault}}/ext_assets/startbootstrap-sb-admin-2-1.0.7/bower_components/metisMenu/dist/metisMenu.min.js"></script>

    <!-- Custom Theme JavaScript -->

    <script>

        (function($){
            $.getAlertError = function (alert_message) {
                return '<div class="alert alert-danger alert-dismissible" role="alert"><button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button><strong>Errore login!</strong> <span id="alert-error-message">'+alert_message+'</span></div>';
            };
        })(jQuery);

        $(function(){
            var alert_error_container = $("#alert-error-container");
            var login_form = $("#login_form");
            var button_submit = login_form .find("button");
            login_form.submit(function(e){

                var user = $("[name='user']").val();
                var password = $("[name='password']").val();
                //cripto password
                //password


                var url_ajax = $(this).attr("action");
                var ajax_login = $.ajax({
                    url: url_ajax,
                    method: "POST",
                    dataType: "json",
                    data: "user="+user+"&password="+password
                });

                ajax_login.done(function(data) {
                    console.log(data);
                    if (data.esito == "SI") {
                        window.location.href = data.url_go;
                    }
                    else {
                        alert_error_container.children().html($.getAlertError(data.messaggio));
                        alert_error_container.show();
                        button_submit.find("i.fa").hide();
                        button_submit.prop("disabled",false);
                    }
                });

                ajax_login.fail(function() {
                    alert_error_container.children().html($.getAlertError("Richiesta fallita. Verificare la connessione o contattare l'assistenza."));
                    alert_error_container.show();
                    window.location.href = "{{dirDefault}}/logout";
                });

                ajax_login.always(function() {
                    window.location.href = data.url_go;
                });

                e.preventDefault();
                return false;

            });

        });

    /////////////////////////


    </script>

</body>

</html>
